irooit/wechat

5.5.1 2021-03-27 16:13 UTC

This package is auto-updated.

Last update: 2021-09-27 17:43:45 UTC


README

Fork from w7corp/easywechat

##更新部分功能

Requirement

  1. PHP >= 7.4
  2. Composer
  3. openssl 拓展
  4. fileinfo 拓展(素材管理模块需要用到)

Installation

$ composer require "overtrue/wechat:^5.0" -vvv

Usage

基本使用(以服务端为例):

<?php

use EasyWeChat\Factory;

$options = [
    'app_id'    => 'wx3cf0f39249eb0exxx',
    'secret'    => 'f1c242f4f28f735d4687abb469072xxx',
    'token'     => 'easywechat',
    'log' => [
        'level' => 'debug',
        'file'  => '/tmp/easywechat.log',
    ],
    // ...
];

$app = Factory::officialAccount($options);

$server = $app->server;
$user = $app->user;

$server->push(function($message) use ($user) {
    $fromUser = $user->get($message['FromUserName']);

    return "{$fromUser->nickname} 您好!欢迎关注 overtrue!";
});

$server->serve()->send();

更多请参考 https://www.easywechat.com/

Documentation

License

MIT